Project

pkg-config

0.74
A long-lived project that still receives updates
pkg-config can be used in your extconf.rb to properly detect need libraries for compiling Ruby native extensions
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Development

 Project Readme

README¶ ↑

Name¶ ↑

pkg-config

Description¶ ↑

A pkg-config implementation by Ruby.

Install¶ ↑

# gem install pkg-config

Documents¶ ↑

Source¶ ↑

There is the pkg-config repository at GitHub: github.com/ruby-gnome/pkg-config

Copyright 2008-2020 Kouhei Sutou <kou@clear-code.com>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

See LGPL-2.1 file for details.

Thanks¶ ↑

  • Funky Bibimbap

  • Andrea B.C.

  • Antonio Terceiro